Subject: Re: bug#53645: Unable to guix pull on pinebook pro

From: Pierre Langlois <[email-masked]>
Date: Mon, 31 Jan 2022 19:57:38 +0000

Hi there,

Maxime Devos <[email-masked]> writes:

> [[PGP Signed Part:Undecided]]
> I took a look but I don't know what's up with
>
>> g++ [...] -o cc1 [...] 
>> collect2: fatal error: ld terminated with signal 9 [Killed]
>
> Seems like the linking step failed somehow?

I would guess that the build ran out of memory, that can happen with the
pinebookpro's mere 4G. Do you have some swap space allocated? I've had
to do that on my rockpro64 (same chip) for guix pull to eventually
succeed.

Here's an example to create a quick swapfile in case you're not
familiar, as root:

  # Create 10G
  dd if=/dev/zero of=/mnt/swapfile bs=1MiB count=10240
  # Enable it
  chmod 600 /mnt/swapfile
  mkswap /mnt/swapfile
  swapon /mnt/swapfile

Hope this helps! Ideally you wouldn't have to build so much, but I'm
afraid we don't have aarch64 substitutes ready at the moment :-/.

Cheers,
Pierre